<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9263b.xslt, 24 juli 2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:fz814="http://ei.vektis.nl/verantwoording/fz814">

	<!-- retourcode 9263b: Indien Berichtcode = 585 (= Retourinformatie Verantwoording forensische zorg voor ZPM), dan mag alleen OntvangerRol = 1 (= Zorgaanbieder) of 2 (= Servicebureau) voorkomen. -->
	<xsl:template name="rc9263b">
		<xsl:param name="Berichtcode"/>
		<xsl:param name="OntvangerRol"/>

		<xsl:if test="$Berichtcode=585 and not($OntvangerRol='1' or $OntvangerRol='2')">
			<fz814:Feedback>
				<fz814:Retourcode>9263</fz814:Retourcode>
				<fz814:BetrokkenElement>
					<fz814:Elementnaam><xsl:value-of select="local-name($Berichtcode)"/></fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$Berichtcode"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
				<fz814:BetrokkenElement>
					<fz814:Elementnaam><xsl:value-of select="local-name($OntvangerRol)"/></fz814:Elementnaam>
					<fz814:Elementwaarde><xsl:value-of select="$OntvangerRol"/></fz814:Elementwaarde>
				</fz814:BetrokkenElement>
			</fz814:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
