<?xml version="1.0" encoding="UTF-8"?>
<!-- rc8049.xslt, 7 juli 2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:fz814="http://ei.vektis.nl/verantwoording/fz814">


	<!-- retourcode 8049: Indien Prestatiecodelijst = 071, dan moet Aantal gelijk zijn aan ‘1’.  -->
	<xsl:template name="rc8049">
		<xsl:param name="Aantal"/>
		<xsl:param name="PrestatieCodelijstCode"/>
		
		<xsl:if test="($PrestatieCodelijstCode='071') and not($Aantal = '1')">
			<fz814:Feedback>
				<fz814:Retourcode>8049</fz814:Retourcode>
					<!-- som de elementen op die de fout veroorzaken -->
				<xsl:if test="$Aantal">
					<fz814:BetrokkenElement>
						<fz814:Elementnaam><xsl:value-of select="local-name($Aantal)"/></fz814:Elementnaam>
						<fz814:Elementwaarde><xsl:value-of select="$Aantal"/></fz814:Elementwaarde>
					</fz814:BetrokkenElement>
				</xsl:if>	
				<xsl:if test="$PrestatieCodelijstCode">
					<fz814:BetrokkenElement>
						<fz814:Elementnaam><xsl:value-of select="local-name($PrestatieCodelijstCode)"/></fz814:Elementnaam>
						<fz814:Elementwaarde><xsl:value-of select="$PrestatieCodelijstCode"/></fz814:Elementwaarde>
					</fz814:BetrokkenElement>
				</xsl:if>	
			</fz814:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
